#COMMON
CORESDK_RTOS_VERSION="07_03_01_06"
CORESDK_RTOS_VERSION_DOT="07.03.01.06"
CORESDK_RTOS_VERSION_SHORT="07_03_01"
CORESDK_RTOS_VERSION_SHORT_DOT="07.03.01"
CORESDK_RTOS_FAMILY="am64x"
CORESDK_RTOS_SOC="am64x"
CORESDK_RTOS_SOC_CAPS="AM64X"
CORESDK_RTOS_WEBLINK_NIGHTLY="http://gtweb.dal.design.ti.com/nightly_builds/core-sdk-rtos-${CORESDK_RTOS_FAMILY}/528-2021-04-13_08-00-20/artifacts/output/webgen/exports"
CORESDK_RTOS_WEBLINK_RC="http://tigt_qa.dal.englab.ti.com/qacm/test_area/CORESDK/07.03.01/rtos/07_03_01_06/am64x/07_03_01_06/exports"
CORESDK_RTOS_WEBLINK_EXTERNAL="https://software-dl.ti.com/processor-sdk-rtos/esd/AM64X/firmware/07_03_01_06"
CORESDK_RTOS_WEBLINK="${CORESDK_RTOS_WEBLINK_NIGHTLY}"
CORESDK_RTOS_WEBLINK_FIRMWARE="${CORESDK_RTOS_WEBLINK_NIGHTLY}"
CORESDK_RTOS_MD5SUM="${CORESDK_RTOS_WEBLINK}/md5sum.txt"

#Tools and Dependencies
BIOS_VERSION="6_83_02_07"
XDC_VERSION="3_61_04_40_core"
NDK_VERSION="3_80_00_19"
NS_VERSION="2_80_00_17"
CGT_ARM_VERSION="20.2.0.LTS"
CGT_C6X_VERSION=""
CGT_C7X_VERSION=""
CGT_PRU_VERSION="2.3.3"
GCC_ARCH64_VERSION="9.2-2019.12"
GCC_ARCH64_VERSION_WEB="9.2019.12"
GCC_ARCH64_BIN_PREFIX_STR=""
CG_XML_VERSION="2.61.00"
UIA_VERSION="2_30_01_02"
XDAIS_VERSION=""
DSPLIB_C66_VERSION=""
MATHLIB_C66_VERSION=""

#CORESDK RTOS Linux
CORESDK_RTOS_LINUX_VERSION="${CORESDK_RTOS_VERSION_DOT}"
CORESDK_RTOS_LINUX_URL="${CORESDK_RTOS_WEBLINK}/coresdk_rtos_${CORESDK_RTOS_FAMILY}_${CORESDK_RTOS_VERSION}_linux.tar.xz"
CORESDK_RTOS_LINUX_SHA256SUM="d03a3c2c3cf00efb973a437d9764c7e934b22f3c18bfe2cab8b59a3895236e39"

#CORESDK RTOS Windows
CORESDK_RTOS_WINDOWS_VERSION="${CORESDK_RTOS_VERSION_DOT}"
CORESDK_RTOS_WINDOWS_URL="${CORESDK_RTOS_WEBLINK}/coresdk_rtos_${CORESDK_RTOS_FAMILY}_${CORESDK_RTOS_VERSION}_windows.tar.xz"
CORESDK_RTOS_WINDOWS_SHA256SUM="f7bb9f82b26407b47e166825681616abcd09a2e4151c36d2fd69db0885e702d1"

#CORESDK RTOS Firmwares
CORESDK_RTOS_FIRMWARE_VERSION="${CORESDK_RTOS_VERSION_DOT}"
CORESDK_RTOS_FIRMWARE_URL="${CORESDK_RTOS_WEBLINK_FIRMWARE}/coresdk_rtos_${CORESDK_RTOS_SOC}_${CORESDK_RTOS_VERSION}_firmware.tar.xz"
CORESDK_RTOS_FIRMWARE_SHA256SUM="a7910ec0a00e86b92fd3e31fd4e94518671d50c8f1b91e065f8c7471c6a82ce1"

#CORESDK RTOS Docs
CORESDK_RTOS_DOCS_VERSION="${CORESDK_RTOS_VERSION_DOT}"
CORESDK_RTOS_DOCS_URL="${CORESDK_RTOS_WEBLINK}/coresdk_rtos_${CORESDK_RTOS_FAMILY}_${CORESDK_RTOS_VERSION}_docs_only.tar.xz"
CORESDK_RTOS_DOCS_SHA256SUM="062e0cfbaa7123726ff3c197bd1ed3f8c19769d5723e79bf8472aa9863b691a8"

#PDK
PDK_VERSION="${CORESDK_RTOS_VERSION_DOT}"
PDK_URL="${CORESDK_RTOS_WEBLINK}/pdk_${CORESDK_RTOS_FAMILY}_${CORESDK_RTOS_VERSION}.zip"
PDK_SHA256SUM="26c7912ac23a68f5a265088a364ee09584f4ad7559476470d0d13adb86f16fc9"

#PRU ICSS Ethercat Slave
PRU_ICSS_ETHERCAT_SLAVE_VERSION="01.00.09.09"
PRU_ICSS_ETHERCAT_SLAVE_URL="${CORESDK_RTOS_WEBLINK}/pru_icss_ethercat_slave_${PRU_ICSS_ETHERCAT_SLAVE_VERSION}.zip"
PRU_ICSS_ETHERCAT_SLAVE_SHA256SUM="db4b8e78d0ef57d82275ed616a35af01a30293420c3c20e94f5a3edf51159b61"

#PRU ICSS Industrial Drives
PRU_ICSS_INDUSTRIAL_DRIVES_VERSION="01.00.03.03"
PRU_ICSS_INDUSTRIAL_DRIVES_URL="${CORESDK_RTOS_WEBLINK}/pru_icss_industrial_drives_${PRU_ICSS_INDUSTRIAL_DRIVES_VERSION}.zip"
PRU_ICSS_INDUSTRIAL_DRIVES_SHA256SUM="4c4a436d56a3921299a050dafeef6b78ff4361dd60e5640c25f3e6fad3703111"

#PRU ICSS Profinet Slave
PRU_ICSS_PROFINET_SLAVE_VERSION="01.00.04.06"
PRU_ICSS_PROFINET_SLAVE_URL="${CORESDK_RTOS_WEBLINK}/pru_icss_profinet_slave_${PRU_ICSS_PROFINET_SLAVE_VERSION}.zip"
PRU_ICSS_PROFINET_SLAVE_SHA256SUM="d24570dce08328593a816ede2bdb2db64ce17da13bd5cc0d688f96ed1d632b18"

#PRU ICSS EtherNet/IP Adapter
ETHERNET_IP_ADAPTER_VERSION_DOT="01.00.04.07"
PRU_ICSS_ETHERNET_IP_ADAPTER_URL="${CORESDK_RTOS_WEBLINK}/pru_icss_ethernet_ip_adapter_${ETHERNET_IP_ADAPTER_VERSION_DOT}.zip"
PRU_ICSS_ETHERNET_IP_ADAPTER_SHA256SUM="d034053755b1cf5754592c3071483f0bc201bf577ac41b1cda388ae47cf44007"

